#include "runsim.h"

int assign_rxn_index(char *rxtype)
{
               int i=0;
               if (!strcmp("binding", rxtype))
                       i = BINDING;
               else if (!strcmp("unique-bi-bi", rxtype))
                       i = UNIQUE_BI_BI;
               else if (!strcmp("unbinding", rxtype))
                       i = UNBINDING;
               else if (!strcmp("uni-uni", rxtype))
                       i = UNI_UNI;
               else if (!strcmp("uni-multi", rxtype))
                       i = UNI_MULTI;
               else if (!strcmp("homo-ltor", rxtype))
                       i = HOMO_LTOR;
               else if (!strcmp("transv1", rxtype))
                       i = TRANSV1;
               else if (!strcmp("genmm", rxtype))
                       i = GENM;
               else if (!strcmp("n-order", rxtype))
                       i = NTH_ORDER;
               else if (!strcmp("undef", rxtype))
                       i = UNDEFINED;
	return i;
}

